Method: queryIssues

v1beta.queryIssues provides a list of issues and recommendations that a user has access to and that are within the requested scope.

HTTP request

POST https://databasecenter.googleapis.com/v1beta:queryIssues

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "parent": string,
  "filter": string,
  "signalProductsFilters": [
    {
      object (SignalProductsFilters)
    }
  ],
  "orderBy": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. Parent can be a project, a folder, or an organization. The list is limited to the one attached to resources within the scope that a user has access to.

The allowed values are:

  • projects/{PROJECT_ID} (e.g., "projects/foo-bar")
  • projects/{PROJECT_NUMBER} (e.g., "projects/12345678")
  • folders/{FOLDER_NUMBER} (e.g., "folders/1234567")
  • organizations/{ORGANIZATION_NUMBER} (e.g., "organizations/123456")
filter

string

Optional. Supported fields are: 'product', location, issueSeverity, 'tags', 'labels',

signalProductsFilters[]

object (SignalProductsFilters)

Optional. Filters based on signal and product. The filter list will be ORed across pairs and ANDed within a signal and products pair.

orderBy

string

Optional. Following fields are sortable: SignalType Product Location IssueSeverity

The default order is ascending. Add "DESC" after the field name to indicate descending order. Add "ASC" after the field name to indicate ascending order. It only supports a single field at a time.

pageSize

integer

Optional. If unspecified, at most 50 issues will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous v1beta.queryIssues call. Provide this to retrieve the subsequent page. All parameters except page size should match the parameters used in the call that provided the page token.

Response body

QueryIssuesResponse is the response containing a list of issues.

If successful, the response body contains data with the following structure:

JSON representation
{
  "resourceIssues": [
    {
      object (DatabaseResourceIssue)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
resourceIssues[]

object (DatabaseResourceIssue)

List of issues and resource details.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. List of unreachable regions from where data could not be retrieved.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • databasecenter.fleetHealthStats.list

For more information, see the IAM documentation.

SignalProductsFilters

SignalProductsFilters represents a signal and list of supported products.

JSON representation
{
  "signalType": enum (SignalType),
  "products": [
    {
      object (Product)
    }
  ]
}
Fields
signalType

enum (SignalType)

Optional. The type of signal.

products[]

object (Product)

Optional. Product type of the resource. The version of the product will be ignored in filtering.

DatabaseResourceIssue

DatabaseResource and Issue associated with it.

JSON representation
{
  "signal": {
    object (Signal)
  },
  "resource": {
    object (DatabaseResource)
  }
}
Fields
signal

object (Signal)

Signal associated with the issue.

resource

object (DatabaseResource)

Resource associated with the issue.